<?php
date_default_timezone_set('Asia/Jakarta');
$tanggal = mktime(date("m"), date("d"), date("Y"));
$tglsekarang = date("d-m-Y", $tanggal);

if (isset($_POST['tanggal1'])) {
    $tgl_1 = $_POST['tanggal1'];
} else {
    $tgl_1 = $tglsekarang;
};
if (isset($_POST['tanggal2'])) {
    $tgl_2 = $_POST['tanggal2'];
} else {
    $tgl_2 = $tglsekarang;
};
if (isset($_POST['penerima'])) {
    $penerima_lap = $_POST['penerima'];
} else {
    $penerima_lap = "Semua";
};


if (isset($_POST['jenjang'])) {
    $jenjang_lap = $_POST['jenjang'];
    $jenjang_post = $_POST['jenjang'];
    $aktifjenis = "";
} else {
    $jenjang_lap = "--Pilih--";
    $jenjang_post = "Semua";
    $aktifjenis = "disabled";
};

if (isset($_POST['paralel'])) {
    $paralel_lap = $_POST['paralel'];
} else {
    $paralel_lap = "Semua";
};
if (isset($_POST['metode'])) {
    $metode_lap = $_POST['metode'];
} else {
    $metode_lap = "Semua";
};
if (isset($_POST['jenis'])) {
    $jenis_lap = $_POST['jenis'];
} else {
    $jenis_lap = "Semua";
};


$dt_jenis = new namaBayar();
$showJenis = $dt_jenis->shownamaBayar($tahun, $jenis_lap, $jenjang_lap);
$count_nb = $showJenis->rowCount();
$datajenis = $showJenis->fetch(PDO::FETCH_OBJ);
if ($count_nb > 0) {
    $namaBayar = $datajenis->nama;
} else {
    $namaBayar = "Semua";
};

//Indo to Egg
function ubahformatTgl($tanggal)
{
    $pisah = explode('-', $tanggal);
    $urutan = array($pisah[2], $pisah[1], $pisah[0]);
    $satukan = implode('-', $urutan);
    return $satukan;
}
// Cara penggunaan function ubahTgl
$tanggal1 = ubahformatTgl($tgl_1);
$tanggal2 = ubahformatTgl($tgl_2);
?>
<div class="content-wrapper">

    <?php require('./layout/headerpage.php'); ?>

    <div class="container col-12 mb-4 pb-5">
        <div class="row">

            <div class="col-12">
                <div class="card mx-4 mt-3">

                    <div class="timeline-header bg-primary py-2 pl-2">
                        <b class="text-light judul"><span class="bi bi-gear"></span> Proses Setor Draf ke Bendahara</b>
                    </div>

                    <div class="card-body mx-2 ">
                        <?php require('./view/setor/headerpage.php'); ?>
                    </div>
                    <div class="card-body mx-4">
                        <label>
                            <h6><b class="text-primary">PROSES SETOR KE BENDAHARA</b></h6>
                        </label>
                        <table id="example3" class="table table-bordered table-striped table-hover table-sm mb-4">
                            <thead>
                                <tr>
                                    <th><input type="checkbox" class="small check_all"></th>
                                    <th>Tanggal</th>
                                    <th>ID Setor</th>
                                    <th>Penyetor</th>
                                    <th>Detail [Akun] RKAS</th>
                                    <th>Jumlah Draf</th>
                                    <th>Jumlah Proses</th>
                                    <th>Status Setor</th>
                                    <th>Status Terima</th>
                                    <th>Proses</th>
                                    <th>Pengantar</th>

                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $class = new setor();
                                $show = $class->list_setor_proses($tb_transaksi, $tb_setor, $tahun);
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>